---
import logo from '../../public/gridmap.png'
---

<div class="flex justify-between items-center mx-auto py-4 px-4 md:px-10 lg:px-16 shadow-md">
	<div class="w-20 sm:w-[100px] md:w-[200px]">
		<img src={logo} alt="logo" class="w-full h-full object-cover" />
	</div>

	<div
		class="flex text-xs sm:text-sm md:text-lg lg:text-2xl justify-centerx items-center gap-x-2 md:gap-x-8 lg:gap-x-10 lg:ml-8"
	>
		<a href="/">Home</a>
		<a href="/mega/" class="flex items-center">
			<span>MegaMenu</span>
			<svg
				xmlns="http://www.w3.org/2000/svg"
				fill="none"
				viewBox="0 0 24 24"
				stroke-width="1.5"
				stroke="currentColor"
				class="w-3 h-3 lg:w-5 lg:h-5 inline-block"
			>
				<path stroke-linecap="round" stroke-linejoin="round" d="M19.5 8.25l-7.5 7.5-7.5-7.5"></path>
			</svg>
		</a>
		<a href="/features/">Features</a>
	</div>

	<div class="flex justify-center items-center gap-x-4">
		<label class="relative inline-flex items-center cursor-pointer">
			<input type="checkbox" value="" class="sr-only peer" />
			<div
				class="flex justify-center items-center gap-x-2 w-11 h-5 sm:h-6 bg-gray-200 outline-none peer-focus:ring-2 peer-focus:ring-blue-300 rounded-full peer peer-checked:after:translate-x-[calc(100%+3px)] peer-checked:after:sm:translate-x-full peer-checked:after:border-white after:content-[''] after:absolute after:lg:top-[2px] after:lg:left-[2px] after:left-0 after:bg-white after:border-gray-300 after:border after:rounded-full after:h-5 after:w-5 after:transition-all peer-checked:bg-blue-600"
			>
				<svg
					xmlns="http://www.w3.org/2000/svg"
					fill="none"
					viewBox="0 0 24 24"
					stroke-width="1.5"
					stroke="currentColor"
					class="w-5 h-5 lg:w-6 lg:h-6"
				>
					<path
						stroke-linecap="round"
						stroke-linejoin="round"
						d="M12 3v2.25m6.364.386l-1.591 1.591M21 12h-2.25m-.386 6.364l-1.591-1.591M12 18.75V21m-4.773-4.227l-1.591 1.591M5.25 12H3m4.227-4.773L5.636 5.636M15.75 12a3.75 3.75 0 11-7.5 0 3.75 3.75 0 017.5 0z"
					></path>
				</svg>
				<svg
					xmlns="http://www.w3.org/2000/svg"
					fill="none"
					viewBox="0 0 24 24"
					stroke-width="1.5"
					stroke="currentColor"
					class="w-5 h-5 lg:w-6 lg:h-6 inline-block"
				>
					<path
						stroke-linecap="round"
						stroke-linejoin="round"
						d="M21.752 15.002A9.718 9.718 0 0118 15.75c-5.385 0-9.75-4.365-9.75-9.75 0-1.33.266-2.597.748-3.752A9.753 9.753 0 003 11.25C3 16.635 7.365 21 12.75 21a9.753 9.753 0 009.002-5.998z"
					></path>
				</svg>
			</div>
			<!-- <span class="md:text-sm text-xs font-medium inline-block">Dark mode</span> -->
		</label>
	</div>
</div>
